cedar-backup3 (3.7.6-2) unstable; urgency=medium

  * Fix FTBFS: exclude docs/_build in debian/source/options (closes: #1043698).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 16 Aug 2023 01:07:58 +0000

cedar-backup3 (3.7.6-1) unstable; urgency=medium

  * New upstream release with revised dependencies to match bookworm.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jun 2023 22:23:28 +0000

cedar-backup3 (3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Re-implement debian/watch in terms of GitHub rather than PyPI.
  * Adjust poetry-system.patch and poetry-version.patch to match upstream.
  * Bump standards version to 4.6.2.0 (no packaging changes).
  * Update debian/copyright to reflect 2023 copyright year.
  * Remove unused lintian override for very-long-line-length-in-source-file.
  * Add lintian override for prefer-uscan-symlink against debian/watch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Jun 2023 16:26:41 +0000

cedar-backup3 (3.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Create debian/patches/poetry-system.patch to override upstream build system.
  * Add dependency on python3-importlib-metadata based on upstream requirements.
  * Rewrite debian/rules to trigger Sphinx docs and unittests via pybuild.
  * Update various patches to reflect upstream changes to the modified files.
  * Rename debian/patches/poetry.patch to debian/patches/poetry-version.patch.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 31 Dec 2022 07:17:29 +0000

cedar-backup3 (3.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to reflect latest upstream NOTICE file.
  * Update debian/control to reflect upstream change of Python >= 3.8.
  * Update debian/patches/poetry.patch to reflect upstream changes.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 30 Dec 2022 02:02:16 +0000

cedar-backup3 (3.6.9-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 09 Nov 2022 17:22:57 +0000

cedar-backup3 (3.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/patches/poetry.patch because pyproject.toml changed.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 24 Oct 2022 08:18:24 +0000

cedar-backup3 (3.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.1.0 (no packaging changes).
  * Fix name of Lintian override per warning from Lintian.
  * Add debian/patches/poetry.patch to make build process work.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2022 11:01:32 +0000

cedar-backup3 (3.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to new PEP 517 build process based on Poetry.
    - Add Build-Depends on pybuild-plugin-pyproject and python3-poetry-core
    - Adjust debian/cedar-backup3.install to reflect new build structure
    - Remove debian/cedar-backup3.dirs, which is no longer needed

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 30 Apr 2022 17:09:55 +0000

cedar-backup3 (3.6.4-2) unstable; urgency=medium

  * Adjust lintian overrides.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 27 Jan 2022 01:52:48 +0000

cedar-backup3 (3.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix copyright in debian/copyright file for debian/* files.
  * Remove unneeded Lintian override for package-contains-python-dot-directory.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 15 Nov 2021 02:41:42 +0000

cedar-backup3 (3.6.3-4) unstable; urgency=medium

  * Add Lintian override for very-long-line-length-in-source-file.
  * Add Lintian override for package-contains-python-dot-directory.
  * Add build dep on python3-typing-extensions until we can sort out
    problems with python3-sphinx-autoapi (closes: #997425).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 25 Oct 2021 23:45:59 +0000

cedar-backup3 (3.6.3-3) unstable; urgency=medium

  * Accept package cleanup from Debian Janitor.
    - Remove constraints unnecessary since buster
    - Build-Depends: Drop versioned constraint on python3-all
    - Recommends: Drop versioned constraint on awscli

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 24 Sep 2021 19:13:09 +0000

cedar-backup3 (3.6.3-2) unstable; urgency=medium

  * Bump standards version to 4.6.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 18 Aug 2021 16:05:50 +0000

cedar-backup3 (3.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Mar 2021 16:01:32 +0000

cedar-backup3 (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to reflect latest upstream CREDITS file.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 18 Feb 2021 02:09:51 +0000

cedar-backup3 (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Update doc-privacy.patch to reflect upstream changes to docs/index.rst.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 08 Feb 2021 02:16:38 +0000

cedar-backup3 (3.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Feb 2021 20:03:29 +0000

cedar-backup3 (3.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Update doc-privacy.patch to reflect upstream changes to docs/index.rst.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 17 Jan 2021 21:04:48 +0000

cedar-backup3 (3.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 14 Jan 2021 21:05:16 +0000

cedar-backup3 (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 31 Dec 2020 03:02:56 +0000

cedar-backup3 (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.5.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 20 Dec 2020 23:53:32 +0000

cedar-backup3 (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 07 Nov 2020 18:05:16 +0000

cedar-backup3 (3.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 30 Oct 2020 00:12:18 +0000

cedar-backup3 (3.3.3-1) unstable; urgency=medium

  * New upstream release with minor changes.
  * Get rid of override_dh_install, no longer needed with debhelper compat 13.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 22:53:39 +0000

cedar-backup3 (3.3.2-2) unstable; urgency=medium

  * Package cleanup based on a review at qa.debian.org.
    - Remove obsolete on util-linux (fdisk is all we need now).
    - Update debian/control to set Rules-Requires-Root: no
    - Update debian/control to move to debhelper-compat (= 13)
    - Add Lintian override for debian-watch-does-not-check-gpg-signature
    - Add Lintian override for missing-systemd-timer-for-cron-script
    - Add doc-privacy.patch to address Lintian privacy-breach warnings
    - Convert to dh_sphinxdoc to properly symlink shared Javascript

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 21:28:59 +0000

cedar-backup3 (3.3.2-1) unstable; urgency=medium

  * New upstream release with major changes to the packaging process.
    - Convert debian/rules to the standard dh build process for Python
    - Update the upstream GitHub URL in various places
    - Update debian/copyright to reflect the current codebase
    - Update debian/watch to reflect the new PyPI location
    - Update debian-platform.patch to reflect the current codebase
    - Update debian/tests/unittest to reflect the new test runner
    - Update debian/control to reflect the new Python version requirements
    - Update various control files to reflect the new doc locations

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Oct 2020 10:45:53 +0000

cedar-backup3 (3.2.0-5) unstable; urgency=low

  * Accept package cleanup from Debian Janitor.
    - Apply multi-arch hints

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 16 Oct 2020 00:38:27 +0000

cedar-backup3 (3.2.0-4) unstable; urgency=low

  * Accept package cleanup from Debian Janitor.
    - Trim trailing whitespace
    - Add upstream metadata

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 16 Jul 2020 23:29:19 -0000

cedar-backup3 (3.2.0-3) unstable; urgency=medium

  * Bump standards version to 4.5.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Jun 2020 17:57:56 +0000

cedar-backup3 (3.2.0-2) unstable; urgency=medium

  * Add __pycache__ directories to debian/clean.
  * Fix obsolete BitBucket URLs to point at GitHub.
    - Adjust debian/control and debian/copyright to set correct homepage
    - Adjust debian/watch to work properly with upstream release filenames

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Aug 2019 14:20:15 +0000

cedar-backup3 (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright to reflect new upstream copyright dates.
  * Move to debhelper compatibility level 12
    - Update debian/control to build depend on debhelper-compat (= 12)
    - Remove debian/compat, which is no longer needed
    - Add debian/clean so "debian/rules clean" works as expected
    - Adjust debian/rules to reflect new policy for documentation
    - Ajudst debian/cedar-backup3-doc.docs
    - Adjust debian/cedar-backup3-doc.doc-base.cedar-backup3-interface
    - Adjust debian/cedar-backup3-doc.doc-base.cedar-backup3-manual

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 24 Aug 2019 19:56:15 +0000

cedar-backup3 (3.1.12-6) unstable; urgency=medium

  * Bump standards version to 4.4.0.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Aug 2019 19:43:47 +0000

cedar-backup3 (3.1.12-5) unstable; urgency=medium

  * Make testing improvements, including contributions from Ondřej Nový:
    - Use AUTOPKGTEST_ vars instead of ADT_ in test suite

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 10:09:46 +0000

cedar-backup3 (3.1.12-4) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).
  * Accept patch from Jelmer Vernooĳ to correct copyright file URI.
  * Fix Lintian warnings about debian/copyright file.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 17:27:41 +0000

cedar-backup3 (3.1.12-3) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).
  * Fix Lintian warning: remove obsolete X-Python3-Version from debian/control.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Aug 2018 01:50:19 +0000

cedar-backup3 (3.1.12-2) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:24:56 +0000

cedar-backup3 (3.1.12-1) unstable; urgency=medium

  * New upstream release, now with Sphinx API documentation instead of Epydoc.
    - Add libjs-jquery and libjs-underline to dependencies for cedar-backup3-doc
    - Adjust debian/rules to link in the pre-packaged Javascript libraries
  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 19:24:27 +0000

cedar-backup3 (3.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 11 Sep 2017 01:43:58 +0000

cedar-backup3 (3.1.9-2) unstable; urgency=medium

  * Bump standards version to 4.0.1.0 (no packaging changes).
  * Add 'Recommends: fdisk | util-linux' in debian/control (closes: #872216).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 15 Aug 2017 23:47:09 +0000

cedar-backup3 (3.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to list new copyright year 2017.
  * Update debian/control to recommend awscli (>= 1.11.13-1).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 03 Jul 2017 23:49:06 +0000

cedar-backup3 (3.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:24:39 +0000

cedar-backup3 (3.1.7-2) unstable; urgency=medium

  * Suggest 'default-mysql-client|virtual-mysql-client' per new MySQL standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2016 13:27:20 -0500

cedar-backup3 (3.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 21 Jun 2016 16:23:44 +0000

cedar-backup3 (3.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Feb 2016 11:50:54 -0600

cedar-backup3 (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to list new copyright year 2016.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 02 Jan 2016 21:22:09 +0000

cedar-backup3 (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS by changing build dependency to Python 3's python3-chardet.
  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Change debian/rules to run unit tests via debian/smoketest
    - Start distributing CedarBackup3/testutil.py, which is required for tests

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:29:39 +0000

cedar-backup3 (3.1.1-2) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:52:41 -0500

cedar-backup3 (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Aug 2015 14:21:02 -0500

cedar-backup3 (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Aug 2015 01:30:29 +0000

cedar-backup3 (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 30 Jul 2015 22:39:50 -0500

cedar-backup3 (3.0.1-2) unstable; urgency=medium

  * Adjust debian/copyright to fix mistakes from copying cedar-backup2.
     * Make sure correct dates (though 2015) are listed for all items
     * Source code lines should reference CedarBackup3, not CedarBackup2

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 30 Jul 2015 21:57:20 -0500

cedar-backup3 (3.0.1-1) unstable; urgency=medium

  * Initial package release (closes: #794036).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 29 Jul 2015 21:08:21 -0500
